Bug 842960 - [kn_IN] fontconfig does not recognize any supported language for this font
[kn_IN] fontconfig does not recognize any supported language for this font
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: navilu-fonts (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842962 842965
  Show dependency treegraph
 
Reported: 2012-07-25 02:09 EDT by Pravin Satpute
Modified: 2012-08-22 17:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 842962 (view as bug list)
Environment:
Last Closed: 2012-08-13 12:00:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pravin Satpute 2012-07-25 02:09:43 EDT
Description of problem:
run fc-scan and see lang column

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1. fc-scan navilu.ttf
2.
3.
  
Actual results:
nothing recognize in lang

Expected results:
kn should be there

Additional info:
Comment 1 Pravin Satpute 2012-07-26 10:41:12 EDT
missing characters in fonts as per kn.orth file
1. U+0C8C
2. U+0CE1

Hi Shankar,

  Do we need these characters in Kannada language?
Comment 2 Shankar Prasad 2012-07-27 02:32:07 EDT
Pravin,

As per current usage of Kannada script, I don't see any relevance of these characters.

There are couple of more characters which can also be omitted.

Shankar
Comment 3 Pravin Satpute 2012-07-27 06:57:36 EDT
Thanks Shankar for your comment.
do you have any reference document showing complete set required for writing Kannada language?
Comment 4 Aravinda 2012-08-11 02:36:54 EDT
Hi, 

Thanks Pravin and Shankar. 

Fixed the Bug by adding missing glyphs. Updated the Git repository. 

https://github.com/aravindavk/Navilu

For fedora packaging tar.gz

git clone https://github.com/aravindavk/Navilu.git
cd Navilu
make fedora

This will generate navilu-1.2.tar.gz and navilu-ttf-1.2.tar.gz in /tmp/ directory as per the Fedora requirements. 

Let me know if any changes required.

--
Aravinda
http://aravindavk.in
Comment 5 Pravin Satpute 2012-08-13 11:07:33 EDT
thanks for fix.
let me know if you are planning to upstream release of 1.2, else i will simply patch existing release with update .sfd file.
Comment 6 Aravinda 2012-08-13 11:17:23 EDT
Uploaded the tar.gz files in 
https://github.com/aravindavk/Navilu/downloads 

--
Regards
Aravinda
http://aravindavk.in
Comment 7 Fedora Update System 2012-08-13 11:59:20 EDT
navilu-fonts-1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/navilu-fonts-1.2-1.fc17
Comment 8 Pravin Satpute 2012-08-13 12:00:48 EDT
Thanks Aravinda for quick update!! built for Fedora 17, 18 and rawhide
Comment 9 Fedora Update System 2012-08-22 17:12:19 EDT
navilu-fonts-1.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.